cURL
curl -X POST "https://app.cotool.ai/api/detections/hits/:hitId/status" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"status":"open","reason":"string"}'import requests
url = "https://app.cotool.ai/api/detections/hits/{hitId}/status"
payload = { "reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://app.cotool.ai/api/detections/hits/{hitId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://app.cotool.ai/api/detections/hits/{hitId}/status")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reason\": \"<string>\"\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/detections/hits/{hitId}/status"
payload := strings.NewReader("{\n \"reason\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"hit": {
"id": "<string>",
"detectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"detectionName": "<string>",
"detectionDescription": "<string>",
"detectionCategory": "<string>",
"detectionIsBuiltIn": true,
"detectionSiemType": "<string>",
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runTitle": "<string>",
"runCreatedAt": "<string>",
"hitCreatedAt": "<string>",
"isAutonomousHuntHit": true,
"statusHistory": [
{
"at": "2023-11-07T05:31:56Z",
"by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "<string>"
}
],
"entityType": "<string>",
"confidence": 123,
"evidence": [
"<string>"
],
"summary": "<string>",
"headline": "<string>",
"cta": "<string>",
"statistics": [
"<string>"
],
"entity": "<string>",
"verifierEvidence": [
"<string>"
]
}
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Detections
Update detection hit status
Update a detection hit lifecycle status and append a typed status history entry.
POST
/
api
/
detections
/
hits
/
{hitId}
/
status
cURL
curl -X POST "https://app.cotool.ai/api/detections/hits/:hitId/status" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"status":"open","reason":"string"}'import requests
url = "https://app.cotool.ai/api/detections/hits/{hitId}/status"
payload = { "reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://app.cotool.ai/api/detections/hits/{hitId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://app.cotool.ai/api/detections/hits/{hitId}/status")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reason\": \"<string>\"\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/detections/hits/{hitId}/status"
payload := strings.NewReader("{\n \"reason\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"hit": {
"id": "<string>",
"detectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"detectionName": "<string>",
"detectionDescription": "<string>",
"detectionCategory": "<string>",
"detectionIsBuiltIn": true,
"detectionSiemType": "<string>",
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runTitle": "<string>",
"runCreatedAt": "<string>",
"hitCreatedAt": "<string>",
"isAutonomousHuntHit": true,
"statusHistory": [
{
"at": "2023-11-07T05:31:56Z",
"by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "<string>"
}
],
"entityType": "<string>",
"confidence": 123,
"evidence": [
"<string>"
],
"summary": "<string>",
"headline": "<string>",
"cta": "<string>",
"statistics": [
"<string>"
],
"entity": "<string>",
"verifierEvidence": [
"<string>"
]
}
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Path Parameters
Detection hit UUID
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
Was this page helpful?
⌘I